<?php
$this->headTitle('Edit news');

?>

<?= $this->flashMessenger()->render('error', ['alert', 'alert-warning']); ?>
<?= $this->flashMessenger()->render('success', ['alert', 'alert-success']); ?>
<?= $this->flashMessenger()->render('info', ['alert', 'alert-info']); ?>

<h1>View news "<?= $this->escapeHtml($news->getTitle()) ?>"</h1>


<p>
    <a class="btn btn-primary" href="<?= $this->url(
        'news',
        ['action' => 'edit', 'id' => $news->getId()]
    ); ?>">
        <span class="glyphicon glyphicon-pencil"></span> Edit
    </a>
    <a href="<?= $this->url('news', ['action' => 'index']); ?>"
        class="btn btn-dark">
        <span class="glyphicon glyphicon-pencil"></span>Back
    </a>
</p>


<div class="row">
    <div class="col-md-6">
        <table class="table table-striped table-bordered">
            <tr>
                <th><?= $this->translate('ID') ?>:</th>
                <td>
                <?= $this->escapeHtml($news->getId()) ?></th>
            </tr>
            <tr>
                <th><?= $this->translate('Title') ?>:</th>
                <td>
                <?= $this->escapeHtml($news->getTitle()) ?></th>
            </tr>
            <tr>
                <th><?= $this->translate('Authors') ?>:</th>
                <td>
                <?= $this->escapeHtml($news->getAuthors()) ?></th>
            </tr>
            <tr>
                <th><?= $this->translate('Last Change') ?>:</th>
                <td>
                <?= $this->escapeHtml($news->getDateModified()) ?></th>
            </tr>
            <tr>
                <th><?= $this->translate('Description') ?>:</th>
                <td>
                <?= $this->escapeHtml($news->getDescription()) ?></th>
            </tr>
            <tr>
                <th><?= $this->translate('The news') ?>:</th>
                <td>
                <?= $this->escapeHtml($news->getContent()) ?></th>
            </tr>
        </table>
    </div>
</div>
